package com.chenyang.nse.bussiness.entity.orm.table.core.generate;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_GENERATE_TASK"
)
public class TCoreGenerateTask extends TBaseEntity {
   private String columnid;
   private String generatestrateid;
   private String datatypeid;

   public TCoreGenerateTask() {
   }

   public TCoreGenerateTask(String columnid, String generatestrateid, String datatypeid) {
      this.columnid = columnid;
      this.generatestrateid = generatestrateid;
      this.datatypeid = datatypeid;
   }

   public String getColumnid() {
      return this.columnid;
   }

   public void setColumnid(String columnid) {
      this.columnid = columnid;
   }

   public String getGeneratestrateid() {
      return this.generatestrateid;
   }

   public void setGeneratestrateid(String generatestrateid) {
      this.generatestrateid = generatestrateid;
   }

   public String getDatatypeid() {
      return this.datatypeid;
   }

   public void setDatatypeid(String datatypeid) {
      this.datatypeid = datatypeid;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnid == null ? 0 : this.columnid.hashCode());
      result = 31 * result + (this.datatypeid == null ? 0 : this.datatypeid.hashCode());
      result = 31 * result + (this.generatestrateid == null ? 0 : this.generatestrateid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreGenerateTask other = (TCoreGenerateTask)obj;
         if (this.columnid == null) {
            if (other.columnid != null) {
               return false;
            }
         } else if (!this.columnid.equals(other.columnid)) {
            return false;
         }

         if (this.datatypeid == null) {
            if (other.datatypeid != null) {
               return false;
            }
         } else if (!this.datatypeid.equals(other.datatypeid)) {
            return false;
         }

         if (this.generatestrateid == null) {
            if (other.generatestrateid != null) {
               return false;
            }
         } else if (!this.generatestrateid.equals(other.generatestrateid)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreGenerateTask [columnid=" + this.columnid + ", generatestrateid=" + this.generatestrateid + ", datatypeid=" + this.datatypeid + "]";
   }
}
